# BroadcastClient | xrpl
Documentation for xrpl

# Class BroadcastClient

Client that can rely on multiple different servers.

#### Deprecated

since version 2.2.0. Will be deleted in version 3.0.0.

Currently this implementation does not provide better reliability. To get better reliability, implement reconnect/error handling logic and choose a reliable endpoint.

If you need the ability to fall-back to different endpoints, consider using xrpl-client

#### Hierarchy

- Client
  - BroadcastClient

- Defined in packages/xrpl/src/client/BroadcastClient.ts:18

#####
Index

### Constructor

constructor

### Abstraction

getBalances
getLedgerIndex
getOrderbook
getXrpBalance

### Core

autofill
submit
submitAndWait

### Faucet

fundWallet

### Fee

feeCushion
maxFeeXRP

### Network

url
connect
disconnect
isConnected
on
request
requestAll
requestNextPage

### Other

buildVersion
clients
connection
networkID
prepareTransaction
captureRejectionSymbol
captureRejections
defaultMaxListeners
errorMonitor
addListener
emit
eventNames
getMaxListeners
getMethodNames
getServerInfo
listenerCount
listeners
off
once
prependListener
prependOnceListener
rawListeners
removeAllListeners
removeListener
setMaxListeners
listenerCount
on
once

## Constructor

- new BroadcastClient(servers, options?): BroadcastClient

- Creates a new BroadcastClient.

  #### Parameters

  - ##### servers: string[]

    An array of names of servers.

  - ##### options: ClientOptions = {}

    Options for the clients.

  #### Returns BroadcastClient

  Overrides Client.constructor

  - Defined in packages/xrpl/src/client/BroadcastClient.ts:28

## Abstraction

### getBalances

getBalances: ((this, address, options?) => Promise<{
currency: string;
issuer?: string;
value: string;
}[]>) = getBalances

#### Type declaration

- - (this, address, options?): Promise<{
    currency: string;
    issuer?: string;
    value: string;
    }[]>

  - #### Parameters

    - ##### this: Client

    - ##### address: string

    - ##### options: {
      ledger_hash?: string;
      ledger_index?: LedgerIndex ;
      limit?: number;
      peer?: string;
      } = {}

      - ##### `Optional` ledger_hash?: string

      - ##### `Optional` ledger_index?: LedgerIndex

      - ##### `Optional` limit?: number

      - ##### `Optional` peer?: string

    #### Returns Promise<{
    currency: string;
    issuer?: string;
    value: string;
    }[]>

Inherited from Client.getBalances

- Defined in packages/xrpl/src/client/index.ts:699

### getLedgerIndex

getLedgerIndex: ((this) => Promise<number>) = getLedgerIndex

#### Type declaration

- - (this): Promise<number>

  - #### Parameters

    - ##### this: Client

    #### Returns Promise<number>

Inherited from Client.getLedgerIndex

- Defined in packages/xrpl/src/client/index.ts:709

### getOrderbook

getOrderbook: ((this, currency1, currency2, options?) => Promise<{
buy: BookOffer [];
sell: BookOffer [];
}>) = getOrderbook

#### Type declaration

- - (this, currency1, currency2, options?): Promise<{
    buy: BookOffer [];
    sell: BookOffer [];
    }>

  - #### Parameters

    - ##### this: Client

    - ##### currency1: BookOfferCurrency

    - ##### currency2: BookOfferCurrency

    - ##### options: {
      ledger_hash?: null | string;
      ledger_index?: LedgerIndex ;
      limit?: number;
      taker?: null | string;
      } = {}

      - ##### `Optional` ledger_hash?: null | string

      - ##### `Optional` ledger_index?: LedgerIndex

      - ##### `Optional` limit?: number

      - ##### `Optional` taker?: null | string

    #### Returns Promise<{
    buy: BookOffer [];
    sell: BookOffer [];
    }>

Inherited from Client.getOrderbook

- Defined in packages/xrpl/src/client/index.ts:704

### getXrpBalance

getXrpBalance: ((this, address, options?) => Promise<string>) = getXrpBalance

#### Type declaration

- - (this, address, options?): Promise<string>

  - #### Parameters

    - ##### this: Client

    - ##### address: string

    - ##### options: {
      ledger_hash?: string;
      ledger_index?: LedgerIndex ;
      } = {}

      - ##### `Optional` ledger_hash?: string

      - ##### `Optional` ledger_index?: LedgerIndex

    #### Returns Promise<string>

Inherited from Client.getXrpBalance

- Defined in packages/xrpl/src/client/index.ts:694

## Core

### autofill

autofill: (<T>(this, transaction, signersCount?) => Promise<T>) = autofill

#### Type declaration

- - <T>(this, transaction, signersCount?): Promise<T>

  - #### Type Parameters

    - #### T extends Transaction

    #### Parameters

    - ##### this: Client

    - ##### transaction: T

    - ##### `Optional` signersCount: number

      `Optional`

    #### Returns Promise<T>

Inherited from Client.autofill

- Defined in packages/xrpl/src/client/index.ts:675

### submit

submit: ((this, transaction, opts?) => Promise< SubmitResponse >) = submit

#### Type declaration

- - (this, transaction, opts?): Promise< SubmitResponse >

  - #### Parameters

    - ##### this: Client

    - ##### transaction: string | Transaction

    - ##### `Optional` opts: {
      autofill?: boolean;
      failHard?: boolean;
      wallet?: Wallet ;
      }

      `Optional`

      - ##### `Optional` autofill?: boolean

      - ##### `Optional` failHard?: boolean

      - ##### `Optional` wallet?: Wallet

    #### Returns Promise< SubmitResponse >

Inherited from Client.submit

- Defined in packages/xrpl/src/client/index.ts:680

### submitAndWait

submitAndWait: (<T>(this, transaction, opts?) => Promise< TxResponse <T>>) = submitAndWait

#### Type declaration

- - <T>(this, transaction, opts?): Promise< TxResponse <T>>

  - #### Type Parameters

    - #### T extends Transaction = Transaction

    #### Parameters

    - ##### this: Client

    - ##### transaction: string | T

    - ##### `Optional` opts: {
      autofill?: boolean;
      failHard?: boolean;
      wallet?: Wallet ;
      }

      `Optional`

      - ##### `Optional` autofill?: boolean

      - ##### `Optional` failHard?: boolean

      - ##### `Optional` wallet?: Wallet

    #### Returns Promise< TxResponse <T>>

Inherited from Client.submitAndWait

- Defined in packages/xrpl/src/client/index.ts:684

## Faucet

### fundWallet

fundWallet: ((this, wallet?, options?) => Promise<{
balance: number;
wallet: Wallet ;
}>) = fundWallet

#### Type declaration

- - (this, wallet?, options?): Promise<{
    balance: number;
    wallet: Wallet ;
    }>

  - #### Parameters

    - ##### this: Client

    - ##### `Optional` wallet: null | Wallet

      `Optional`

    - ##### `Optional` options: {
      amount?: string;
      faucetHost?: string;
      faucetPath?: string;
      usageContext?: string;
      }

      `Optional`

      - ##### `Optional` amount?: string

      - ##### `Optional` faucetHost?: string

      - ##### `Optional` faucetPath?: string

      - ##### `Optional` usageContext?: string

    #### Returns Promise<{
    balance: number;
    wallet: Wallet ;
    }>

Inherited from Client.fundWallet

- Defined in packages/xrpl/src/client/index.ts:714

## Fee

### `Readonly` feeCushion

feeCushion: number

Factor to multiply estimated fee by to provide a cushion in case the required fee rises during submission of a transaction. Defaults to 1.2.

Inherited from Client.feeCushion

- Defined in packages/xrpl/src/client/index.ts:203

### `Readonly` maxFeeXRP

maxFeeXRP: string

Maximum transaction cost to allow, in decimal XRP. Must be a string-encoded number. Defaults to '2'.

Inherited from Client.maxFeeXRP

- Defined in packages/xrpl/src/client/index.ts:211

## Network

### url

- get url(): string

- Get the url that the client is connected to.

  #### Returns string

  The URL of the server this client is connected to.

  Inherited from Client.url

  - Defined in packages/xrpl/src/client/index.ts:303

### connect

- connect(): Promise<void>

- Tells the Client instance to connect to its rippled server.

  #### Returns Promise<void>

  A promise that resolves with a void value when a connection is established.

  #### Example

  Client.connect() establishes a connection between a Client object and the server.

      const { Client } = require('xrpl')
      const client = new Client('wss://s.altnet.rippletest.net:51233')
      await client.connect()
      // do something with the client
      await client.disconnect()

  If you open a client connection, be sure to close it with `await client.disconnect()` before exiting your application.

  Inherited from Client.connect

  - Defined in packages/xrpl/src/client/index.ts:627

### disconnect

- disconnect(): Promise<void>

- Disconnects the XRPL client from the server and cancels all pending requests and subscriptions. Call when you want to disconnect the client from the server, such as when you're finished using the client or when you need to switch to a different server.

  #### Returns Promise<void>

  A promise that resolves with a void value when a connection is destroyed.

  #### Example

  To use the disconnect() method, you first need to create a new Client object and connect it to a server:

      const { Client } = require('xrpl')
      const client = new Client('wss://s.altnet.rippletest.net:51233')
      await client.connect()
      // do something with the client
      await client.disconnect()

  Inherited from Client.disconnect

  - Defined in packages/xrpl/src/client/index.ts:654

### isConnected

- isConnected(): boolean

- Checks if the Client instance is connected to its rippled server.

  #### Returns boolean

  Whether the client instance is connected.

  Inherited from Client.isConnected

  - Defined in packages/xrpl/src/client/index.ts:668

### on

- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "connected"

  - ##### listener: (() => void)

    - - (): void

      - #### Returns void

  #### Returns BroadcastClient

  #### Example

      const api = new Client('wss://s.altnet.rippletest.net:51233')

      api.on('transaction', (tx: TransactionStream) => {
       console.log("Received Transaction")
       console.log(tx)
      })

      await api.connect()
      const response = await api.request({
          command: 'subscribe',
          streams: ['transactions_proposed']
      })

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:464
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "disconnected"

  - ##### listener: ((code) => void)

    Function to run on event.

    - - (code): void

      - #### Parameters

        - ##### code: number

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:465
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "ledgerClosed"

  - ##### listener: ((ledger) => void)

    Function to run on event.

    - - (ledger): void

      - #### Parameters

        - ##### ledger: LedgerStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:466
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "validationReceived"

  - ##### listener: ((validation) => void)

    Function to run on event.

    - - (validation): void

      - #### Parameters

        - ##### validation: ValidationStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:470
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "transaction"

  - ##### listener: ((tx) => void)

    Function to run on event.

    - - (tx): void

      - #### Parameters

        - ##### tx: TransactionStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:474
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "peerStatusChange"

  - ##### listener: ((status) => void)

    Function to run on event.

    - - (status): void

      - #### Parameters

        - ##### status: PeerStatusStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:478
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "consensusPhase"

  - ##### listener: ((phase) => void)

    Function to run on event.

    - - (phase): void

      - #### Parameters

        - ##### phase: ConsensusStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:482
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "manifestReceived"

  - ##### listener: ((manifest) => void)

    Function to run on event.

    - - (manifest): void

      - #### Parameters

        - ##### manifest: ManifestResponse

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:486
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "path_find"

  - ##### listener: ((path) => void)

    Function to run on event.

    - - (path): void

      - #### Parameters

        - ##### path: PathFindStream

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:490
- on(event, listener): BroadcastClient

- Event handler for subscription streams.

  #### Parameters

  - ##### event: "error"

  - ##### listener: ((...err) => void)

    Function to run on event.

    - - (...err): void

      - #### Parameters

        - ##### `Rest` ...err: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  This, because it inherits from EventEmitter.

  Inherited from Client.on

  - Defined in packages/xrpl/src/client/index.ts:492

### request

- request(r): Promise< AccountChannelsResponse >

- #### Parameters

  - ##### r: AccountChannelsRequest

  #### Returns Promise< AccountChannelsResponse >

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:310
- request(r): Promise< AccountCurrenciesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountCurrenciesRequest

  #### Returns Promise< AccountCurrenciesResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:313
- request(r): Promise< AccountInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountInfoRequest

  #### Returns Promise< AccountInfoResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:316
- request(r): Promise< AccountLinesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountLinesRequest

  #### Returns Promise< AccountLinesResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:317
- request(r): Promise< AccountNFTsResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountNFTsRequest

  #### Returns Promise< AccountNFTsResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:318
- request(r): Promise< AccountObjectsResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountObjectsRequest

  #### Returns Promise< AccountObjectsResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:319
- request(r): Promise< AccountOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountOffersRequest

  #### Returns Promise< AccountOffersResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:322
- request(r): Promise< AccountTxResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AccountTxRequest

  #### Returns Promise< AccountTxResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:323
- request(r): Promise< AMMInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: AMMInfoRequest

  #### Returns Promise< AMMInfoResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:324
- request(r): Promise< BookOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: BookOffersRequest

  #### Returns Promise< BookOffersResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:325
- request(r): Promise< ChannelVerifyResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: ChannelVerifyRequest

  #### Returns Promise< ChannelVerifyResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:326
- request(r): Promise< DepositAuthorizedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: DepositAuthorizedRequest

  #### Returns Promise< DepositAuthorizedResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:327
- request(r): Promise< FeeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: FeeRequest

  #### Returns Promise< FeeResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:330
- request(r): Promise< GatewayBalancesResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: GatewayBalancesRequest

  #### Returns Promise< GatewayBalancesResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:331
- request(r): Promise< LedgerResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: LedgerRequest

  #### Returns Promise< LedgerResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:334
- request(r): Promise< LedgerClosedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: LedgerClosedRequest

  #### Returns Promise< LedgerClosedResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:335
- request(r): Promise< LedgerCurrentResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: LedgerCurrentRequest

  #### Returns Promise< LedgerCurrentResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:336
- request(r): Promise< LedgerDataResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: LedgerDataRequest

  #### Returns Promise< LedgerDataResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:337
- request(r): Promise< LedgerEntryResponse < LedgerEntry >>

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: LedgerEntryRequest

  #### Returns Promise< LedgerEntryResponse < LedgerEntry >>

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:338
- request(r): Promise< ManifestResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: ManifestRequest

  #### Returns Promise< ManifestResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:339
- request(r): Promise< NFTBuyOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: NFTBuyOffersRequest

  #### Returns Promise< NFTBuyOffersResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:340
- request(r): Promise< NFTSellOffersResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: NFTSellOffersRequest

  #### Returns Promise< NFTSellOffersResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:341
- request(r): Promise< NFTInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: NFTInfoRequest

  #### Returns Promise< NFTInfoResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:342
- request(r): Promise< NFTHistoryResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: NFTHistoryRequest

  #### Returns Promise< NFTHistoryResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:343
- request(r): Promise< NoRippleCheckResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: NoRippleCheckRequest

  #### Returns Promise< NoRippleCheckResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:344
- request(r): Promise< PathFindResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: PathFindRequest

  #### Returns Promise< PathFindResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:345
- request(r): Promise< PingResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: PingRequest

  #### Returns Promise< PingResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:346
- request(r): Promise< RandomResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: RandomRequest

  #### Returns Promise< RandomResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:347
- request(r): Promise< RipplePathFindResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: RipplePathFindRequest

  #### Returns Promise< RipplePathFindResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:348
- request(r): Promise< ServerDefinitionsResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: ServerDefinitionsRequest

  #### Returns Promise< ServerDefinitionsResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:351
- request(r): Promise< ServerInfoResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: ServerInfoRequest

  #### Returns Promise< ServerInfoResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:354
- request(r): Promise< ServerStateResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: ServerStateRequest

  #### Returns Promise< ServerStateResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:355
- request(r): Promise< SubmitResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: SubmitRequest

  #### Returns Promise< SubmitResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:356
- request(r): Promise< SubmitMultisignedResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: SubmitMultisignedRequest

  #### Returns Promise< SubmitMultisignedResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:357
- request(r): Promise< SubscribeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: SubscribeRequest

  #### Returns Promise< SubscribeResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:360
- request(r): Promise< UnsubscribeResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: UnsubscribeRequest

  #### Returns Promise< UnsubscribeResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:361
- request(r): Promise< TransactionEntryResponse >

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: TransactionEntryRequest

  #### Returns Promise< TransactionEntryResponse >

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:362
- request(r): Promise< TxResponse < Transaction | PseudoTransaction >>

- Makes a request to the client with the given command and additional request body parameters.

  #### Parameters

  - ##### r: TxRequest

  #### Returns Promise< TxResponse < Transaction | PseudoTransaction >>

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:365
- request<R, T>(r): Promise<T>

- Makes a request to the client with the given command and additional request body parameters.

  #### Type Parameters

  - #### R extends BaseRequest

  - #### T extends BaseResponse

  #### Parameters

  - ##### r: R

  #### Returns Promise<T>

  The response from the server.

  Inherited from Client.request

  - Defined in packages/xrpl/src/client/index.ts:366

### requestAll

- requestAll(req): Promise< AccountChannelsResponse []>

- #### Parameters

  - ##### req: AccountChannelsRequest

  #### Returns Promise< AccountChannelsResponse []>

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:508
- requestAll(req): Promise< AccountLinesResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: AccountLinesRequest

  #### Returns Promise< AccountLinesResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:511
- requestAll(req): Promise< AccountObjectsResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: AccountObjectsRequest

  #### Returns Promise< AccountObjectsResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:514
- requestAll(req): Promise< AccountOffersResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: AccountOffersRequest

  #### Returns Promise< AccountOffersResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:517
- requestAll(req): Promise< AccountTxResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: AccountTxRequest

  #### Returns Promise< AccountTxResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:520
- requestAll(req): Promise< BookOffersResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: BookOffersRequest

  #### Returns Promise< BookOffersResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:521
- requestAll(req): Promise< LedgerDataResponse []>

- Makes multiple paged requests to the client to return a given number of resources. Multiple paged requests will be made until the `limit` number of resources is reached (if no `limit` is provided, a single request will be made).

  If the command is unknown, an additional `collect` property is required to know which response key contains the array of resources.

  NOTE: This command is used by existing methods and is not recommended for general use. Instead, use rippled's built-in pagination and make multiple requests as needed.

  #### Parameters

  - ##### req: LedgerDataRequest

  #### Returns Promise< LedgerDataResponse []>

  The array of all responses.

  #### Throws

  ValidationError if there is no collection key (either from a known command or for the unknown command).

  Inherited from Client.requestAll

  - Defined in packages/xrpl/src/client/index.ts:522

### requestNextPage

- requestNextPage(req, resp): Promise< AccountChannelsResponse >

- #### Parameters

  - ##### req: AccountChannelsRequest

  - ##### resp: AccountChannelsResponse

  #### Returns Promise< AccountChannelsResponse >

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:398
- requestNextPage(req, resp): Promise< AccountLinesResponse >

- Requests the next page of data.

  #### Parameters

  - ##### req: AccountLinesRequest

    Request to send.

  - ##### resp: AccountLinesResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountLinesResponse >

  The response with the next page of data.

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:402
- requestNextPage(req, resp): Promise< AccountObjectsResponse >

- Requests the next page of data.

  #### Parameters

  - ##### req: AccountObjectsRequest

    Request to send.

  - ##### resp: AccountObjectsResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountObjectsResponse >

  The response with the next page of data.

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:406
- requestNextPage(req, resp): Promise< AccountOffersResponse >

- Requests the next page of data.

  #### Parameters

  - ##### req: AccountOffersRequest

    Request to send.

  - ##### resp: AccountOffersResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountOffersResponse >

  The response with the next page of data.

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:410
- requestNextPage(req, resp): Promise< AccountTxResponse >

- Requests the next page of data.

  #### Parameters

  - ##### req: AccountTxRequest

    Request to send.

  - ##### resp: AccountTxResponse

    Response with the marker to use in the request.

  #### Returns Promise< AccountTxResponse >

  The response with the next page of data.

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:414
- requestNextPage(req, resp): Promise< LedgerDataResponse >

- Requests the next page of data.

  #### Parameters

  - ##### req: LedgerDataRequest

    Request to send.

  - ##### resp: LedgerDataResponse

    Response with the marker to use in the request.

  #### Returns Promise< LedgerDataResponse >

  The response with the next page of data.

  Inherited from Client.requestNextPage

  - Defined in packages/xrpl/src/client/index.ts:418

## Other

### buildVersion

buildVersion: undefined | string

Rippled Version used by the server this client is connected to

Inherited from Client.buildVersion

- Defined in packages/xrpl/src/client/index.ts:223

### `Private` `Readonly` clients

clients: Client []

- Defined in packages/xrpl/src/client/BroadcastClient.ts:19

### `Readonly` connection

connection: Connection

Inherited from Client.connection

- Defined in packages/xrpl/src/client/index.ts:195

### networkID

networkID: undefined | number

Network ID of the server this client is connected to

Inherited from Client.networkID

- Defined in packages/xrpl/src/client/index.ts:217

### prepareTransaction

prepareTransaction: (<T>(this, transaction, signersCount?) => Promise<T>) = autofill

#### Type declaration

- - <T>(this, transaction, signersCount?): Promise<T>

  - #### Type Parameters

    - #### T extends Transaction

    #### Parameters

    - ##### this: Client

    - ##### transaction: T

    - ##### `Optional` signersCount: number

      `Optional`

    #### Returns Promise<T>

    #### Deprecated

    Use autofill instead, provided for users familiar with v1

Inherited from Client.prepareTransaction

- Defined in packages/xrpl/src/client/index.ts:689

### `Static` `Readonly` captureRejectionSymbol

captureRejectionSymbol: typeof captureRejectionSymbol

Inherited from Client.captureRejectionSymbol

- Defined in node_modules/@types/node/events.d.ts:38

### `Static` captureRejections

captureRejections: boolean

Sets or gets the default captureRejection value for all emitters.

Inherited from Client.captureRejections

- Defined in node_modules/@types/node/events.d.ts:44

### `Static` defaultMaxListeners

defaultMaxListeners: number

Inherited from Client.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:45

### `Static` `Readonly` errorMonitor

errorMonitor: typeof errorMonitor

This symbol shall be used to install a listener for only monitoring `'error'` events. Listeners installed using this symbol are called before the regular `'error'` listeners are called.

Installing a listener using this symbol does not change the behavior once an `'error'` event is emitted, therefore the process will still crash if no regular `'error'` listener is installed.

Inherited from Client.errorMonitor

- Defined in node_modules/@types/node/events.d.ts:37

### addListener

- addListener(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.addListener

  - Defined in node_modules/@types/node/events.d.ts:57

### emit

- emit(event, ...args): boolean

- #### Parameters

  - ##### event: string | symbol

  - ##### `Rest` ...args: any[]

    `Rest`

  #### Returns boolean

  Inherited from Client.emit

  - Defined in node_modules/@types/node/events.d.ts:67

### eventNames

- eventNames(): (string | symbol)[]

- #### Returns (string | symbol)[]

  Inherited from Client.eventNames

  - Defined in node_modules/@types/node/events.d.ts:72

### getMaxListeners

- getMaxListeners(): number

- #### Returns number

  Inherited from Client.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:64

### `Private` getMethodNames

- getMethodNames(): string[]

- Gets the method names of all the methods of the client.

  #### Returns string[]

  A list of the names of all the methods of the client.

  - Defined in packages/xrpl/src/client/BroadcastClient.ts:66

### getServerInfo

- getServerInfo(): Promise<void>

- Get networkID and buildVersion from server_info

  #### Returns Promise<void>

  Inherited from Client.getServerInfo

  - Defined in packages/xrpl/src/client/index.ts:595

### listenerCount

- listenerCount(event): number

- #### Parameters

  - ##### event: string | symbol

  #### Returns number

  Inherited from Client.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:68

### listeners

- listeners(event): Function[]

- #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

  Inherited from Client.listeners

  - Defined in node_modules/@types/node/events.d.ts:65

### off

- off(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.off

  - Defined in node_modules/@types/node/events.d.ts:61

### once

- once(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.once

  - Defined in node_modules/@types/node/events.d.ts:59

### prependListener

- prependListener(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.prependListener

  - Defined in node_modules/@types/node/events.d.ts:70

### prependOnceListener

- prependOnceListener(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:71

### rawListeners

- rawListeners(event): Function[]

- #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

  Inherited from Client.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:66

### removeAllListeners

- removeAllListeners(event?): BroadcastClient

- #### Parameters

  - ##### `Optional` event: string | symbol

    `Optional`

  #### Returns BroadcastClient

  Inherited from Client.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:62

### removeListener

- removeListener(event, listener): BroadcastClient

- #### Parameters

  - ##### event: string | symbol

  - ##### listener: ((...args) => void)

    - - (...args): void

      - #### Parameters

        - ##### `Rest` ...args: any[]

          `Rest`

        #### Returns void

  #### Returns BroadcastClient

  Inherited from Client.removeListener

  - Defined in node_modules/@types/node/events.d.ts:60

### setMaxListeners

- setMaxListeners(n): BroadcastClient

- #### Parameters

  - ##### n: number

  #### Returns BroadcastClient

  Inherited from Client.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:63

### `Static` listenerCount

- listenerCount(emitter, event): number

- #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

  #### Deprecated

  since v4.0.0

  Inherited from Client.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:26

### `Static` on

- on(emitter, event): AsyncIterableIterator<any>

- #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string

  #### Returns AsyncIterableIterator<any>

  Inherited from Client.on

  - Defined in node_modules/@types/node/events.d.ts:23

### `Static` once

- once(emitter, event): Promise<any[]>

- #### Parameters

  - ##### emitter: NodeEventTarget

  - ##### event: string | symbol

  #### Returns Promise<any[]>

  Inherited from Client.once

  - Defined in node_modules/@types/node/events.d.ts:21
- once(emitter, event): Promise<any[]>

- #### Parameters

  - ##### emitter: DOMEventTarget

  - ##### event: string

  #### Returns Promise<any[]>

  Inherited from Client.once

  - Defined in node_modules/@types/node/events.d.ts:22

Generated using TypeDoc